=== debian/changelog ===
miniupnpc (1.6-4ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Suggest minissdpd rather than recommending it, as it's in universe.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 Jun 2014 10:23:58 +0100

miniupnpc (1.6-4) unstable; urgency=high

  * Fixed potential buffer overrun in miniwget.c (Closes: #748913).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 May 2014 06:07:40 +0000

miniupnpc (1.6-3ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 13:56:24 +0100

miniupnpc (1.6-3ubuntu1) precise; urgency=low

  * Resynchronized on Debian using their git version, remaining difference:
  * control: suggests minissdpd rather than recommends, it's in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Dec 2011 15:39:46 +0100

miniupnpc (1.6-3) unstable; urgency=low

  [Laurent Bigonville <bigon@debian.org>]
  * debian/libminiupnpc8.symbols: Add symbols file (Closes: #635531)
  * Drop debian/libminiupnpc8.shlibs, let dh_makeshlibs generate it.
  * debian/rules:
    - Call dh_makeshlibs with "-V -- -c4" parameters
    - Call dh_fixperms during build (Closes: #650202)

  [Thomas Goirand]
  * Uploading to unstable.
  * Added a new debian/gbp.conf.
  * Switching to source format 3.0 (quilt)
  * Build python bindings (python-miniupnpc), thanks to Adam Cécile
    <gandalf@le-vert.net> for his contribution (Closes: #660938).
  * Added multiarch support.
  * Uploading to unstable.
  * Fixes FTBFS on hurd, thanks to Svante Signell <svante.signell@gmail.com>
    (Closes: #718519).
  * VCS URLs are now canonical.
  * Standards-Version is now 3.9.4.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Feb 2012 13:18:36 +0800

miniupnpc (1.6-2) experimental; urgency=low

  * Moved libminiupnpc.a in the -dev package as it should.
  * Added Replaces: libminiupnpc5, libminiupnpc8 (<= 1.6-1) because of above.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Nov 2011 16:48:35 +0800

miniupnpc (1.6-1) experimental; urgency=low

  [Thomas Goirand <zigo@debian.org>]
  * New upstream version (Closes: #647679).
  * Rewrapped debian/copyrigh.
  * Uploading to experimental since there's an soname transition.
  [Leo 'costela' Antunes <costela@debian.org>]
  * Fixes watch file.
  * Update soname and binary lib package name.
  * Adds debian/rules build-arch and build-indep targets.
  * remove unneeded libminiupnpc.substvars.
  * policy bump to 3.9.2 (no changes).
  * fix debian/copyright syntax (empty lines).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Nov 2011 16:21:41 +0800

miniupnpc (1.5-3) unstable; urgency=low

  * debian/copyright is now in correct DEP5 format.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Aug 2011 18:52:03 +0800

miniupnpc (1.5-2) unstable; urgency=low

  * libminiupnpc-dev now depends on libminiupnpc5 (Closes: #617774).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Mar 2011 18:59:58 +0800

miniupnpc (1.5-1) unstable; urgency=low

  * New upstream version.
  * Moving from experimental to unstable (Closes: #616632).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2011 00:22:40 +0800

miniupnpc (1.4.20101221-1) experimental; urgency=low

  * Initial release. (Closes: #444392)

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Dec 2010 16:49:20 +0800
