## miniupnpc 1.9.20140610

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required (VERSION 2.6)
 
 project (miniupnpc C)
-set (MINIUPNPC_VERSION 1.5)
-set (MINIUPNPC_API_VERSION 8)
+set (MINIUPNPC_VERSION 1.9)
+set (MINIUPNPC_API_VERSION 10)
 
 if (NOT CMAKE_BUILD_TYPE)
   if (WIN32)
@@ -30,6 +30,7 @@
 
 if (NOT WIN32)
   add_definitions (-DMINIUPNPC_SET_SOCKET_TIMEOUT)
+  add_definitions (-D_BSD_SOURCE -D_POSIX_C_SOURCE=1)
 else (NOT WIN32)
   add_definitions (-D_WIN32_WINNT=0x0501) # XP or higher for getnameinfo and friends
 endif (NOT WIN32)
@@ -76,6 +77,7 @@
   upnperrors.c
   connecthostport.c
   portlistingparse.c
+  receivedata.c
 )
 
 if (NOT WIN32 AND NOT CMAKE_SYSTEM_NAME STREQUAL "AmigaOS")
@@ -84,7 +86,7 @@
 
 if (WIN32)
   set_source_files_properties (${MINIUPNPC_SOURCES} PROPERTIES
-                                                    COMPILE_DEFINITIONS STATICLIB
+                                                    COMPILE_DEFINITIONS MINIUPNP_STATICLIB
                                                     COMPILE_DEFINITIONS MINIUPNP_EXPORTS
   )
 endif (WIN32)
@@ -136,14 +138,14 @@
   add_executable (testigddescparse testigddescparse.c
                                    igd_desc_parse.c minixml.c miniupnpc.c miniwget.c minissdpc.c
                                    upnpcommands.c upnpreplyparse.c minisoap.c connecthostport.c
-                                   portlistingparse.c
+                                   portlistingparse.c receivedata.c
   )
   target_link_libraries (testigddescparse ${LDLIBS})
 
   add_executable (testminiwget testminiwget.c
                                miniwget.c miniupnpc.c minisoap.c upnpcommands.c minissdpc.c
                                upnpreplyparse.c minixml.c igd_desc_parse.c connecthostport.c
-                               portlistingparse.c
+                               portlistingparse.c receivedata.c
   )
   target_link_libraries (testminiwget ${LDLIBS})
 
@@ -163,6 +165,8 @@
   igd_desc_parse.h
   upnpreplyparse.h
   upnperrors.h
+  miniupnpctypes.h
+  portlistingparse.h
   declspec.h
   DESTINATION include/miniupnpc
 )
