=== debian/changelog ===
miniupnpc (1.9.20140610-4ubuntu2) bionic; urgency=medium

  * SECURITY UPDATE: multiple overflows
    - debian/patches/CVE-2017-1000494-1.patch: properly initialize data
      structure for SOAP parsing in upnpreplyparse.c.
    - debian/patches/CVE-2017-1000494-2.patch: fix heap buffer overflow in
      minixml.c.
    - CVE-2017-1000494

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 07 Feb 2018 13:44:03 -0500

miniupnpc (1.9.20140610-4ubuntu1) artful; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Suggest minissdpd rather than recommending it, as it's in universe.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 15 Jun 2017 14:46:27 -0400

miniupnpc (1.9.20140610-4) unstable; urgency=high

  * Now uses a better patch from upstream for the buffer overflow issue.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 May 2017 17:46:54 +0200

miniupnpc (1.9.20140610-3ubuntu1) artful; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Suggest minissdpd rather than recommending it, as it's in universe.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 19 May 2017 11:15:14 -0400

miniupnpc (1.9.20140610-3) unstable; urgency=high

  * Add More_accurate_checking_while_writing_buffer_in_simpleUPnPcommand2.patch
    which fixes a buffer overflow.
  * CVE-2017-8798: integer signedness error. Applied upstream patch.
    (Closes: #862273).
  * Define define _DEFAULT_SOURCE do avoid FTBFS.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 May 2017 13:41:57 +0200

miniupnpc (1.9.20140610-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add CVE-2015-6031.patch patch.
    CVE-2015-6031: Buffer overflow vulnerability in XML parser
    functionality. (Closes: #802650)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Oct 2015 13:41:21 +0100

miniupnpc (1.9.20140610-2ubuntu2) wily; urgency=medium

  * SECURITY UPDATE: buffer overflow in XML parser (LP: #1506017)
    - debian/patches/CVE-2015-6031.patch: fix buffer overflow in
      igd_desc_parse.c
    - CVE-2015-6031

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 15 Oct 2015 17:31:20 -0700

miniupnpc (1.9.20140610-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable (LP: #1387096).  Remaining changes:
    - Suggest minissdpd rather than recommending it, as it's in universe.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 30 Oct 2014 18:07:17 +0000

miniupnpc (1.9.20140610-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Jul 2014 14:43:26 +0000

miniupnpc (1.9.20140610-1) experimental; urgency=medium

  * New upstream release. This fixes FTBFS in kFreeBSD.
  * Now switching to pristine tar Git packaging.
  * Adds correct-typo-in-manpage.patch.
  * Added a debian/libminiupnpc10.symbols file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Jun 2014 13:27:03 +0800

miniupnpc (1.9.20140401-1) experimental; urgency=medium

  * New upstream release (Closes: #748913, #698705)
  * Uploading to experimental because of the needed transition.
  * Enabled hardening build flags (Closes: #680214).
  * Removed 000-Setup.py_CFLAGS_override.patch now applied upstream.
  * Refreshed fix-ftbfs-on-hurd.patch.
  * Upstream bumped SONAME, so now packaging libminiupnpc10 instead of 8.
  * Switched to upstream branch tags git packaging. Note that upstream Git
    cannot be used directly, as it contains all projects of miniupnp in a
    single repository.
  * Removed patch applied upstream: debian/patches/fix-ftbfs-on-hurd.patch.
  * Bumped Standards-Version.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 May 2014 07:10:52 +0000
