=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/zigo/miniupnpc.git
 Vcs-Git: http://anonscm.debian.org/git/users/zigo/miniupnpc.git
 Homepage: http://miniupnp.free.fr/
@@ -29,7 +29,7 @@
  .
  This package is an example client for the library.
 
-Package: libminiupnpc8
+Package: libminiupnpc10
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,7 +53,7 @@
 Package: libminiupnpc-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libminiupnpc8 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libminiupnpc10 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: minissdpd
 Replaces: libminiupnpc5, libminiupnpc8 (<= 1.6-1)
